package com.loit.getway.init;

import com.loit.getway.config.GateWayConfig;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

import java.net.InetAddress;

/**
 * Description： 应用启动初始化加载数据
 * Author: yangwenbin
 * Date: Created in 2020/8/6 14:49
 * Version: 1.0
 * Modified By:
 */
@Component
public class LoitStrtupRunner implements ApplicationRunner {
    private Logger logger = LoggerFactory.getLogger(this.getClass());

    @Override
    public void run(ApplicationArguments args) throws Exception {
        //此处因为在日志每次获取服务Ip，netAddress.getLocalHost()为同步代码会导致性能超低，将此代码移动到服务启动加载，设置全局变量以供使用
        InetAddress address = InetAddress.getLocalHost();
        GateWayConfig.hostIp  = address.getHostAddress();
        logger.info("获取本服务ip地址为:{}",GateWayConfig.hostIp);
    }
}
