/**
 * Copyright &copy; 2015-2020 isaac All rights reserved.
 */
package com.loit.getway.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Cache工具类
 * @author zpc
 * @version 2013-5-29
 * update by wbh 2018-08-24 更改为redis服务获取缓存
 */
public class CacheUtils {
	protected static long SECONDS = 3000;
	protected static Logger logger = LoggerFactory.getLogger(CacheUtils.class);

	/**
	 * 获取SYS_CACHE缓存
	 * @param key
	 * @return
	 */
	public static Object get(String key) {
		Object result = RedisUtil.get(key);
		return result;
	}
	
	/**
	 * 写入SYS_CACHE缓存
	 * @param key
	 * @return
	 */
	public static void put(String key, Object value) {
		RedisUtil.set(key, value,SECONDS);
//		put(SYS_CACHE, key, value);
	}
	
	/**
	 * 从SYS_CACHE缓存中移除
	 * @param key
	 * @return
	 */
	public static void remove(String key) {
		RedisUtil.remove(key);
//		remove(SYS_CACHE, key);
	}
	
	/**
	 * 获取缓存
	 * @param cacheName
	 * @param key
	 * @return
	 */
	public static Object get(String cacheName, String key) {
		Object result = RedisUtil.get(key);
//		logger.info("获取("+key+")的缓存："+result);
//		Element element = getCache(cacheName).get(key);
//		return element==null?null:element.getObjectValue();
		return result;
	}

	/**
	 * 写入缓存
	 * @param cacheName
	 * @param key
	 * @param value
	 */
	public static void put(String cacheName, String key, Object value) {
		RedisUtil.set(key, value,SECONDS);
//		logger.info("设置key为"+key+"的缓存："+value);
//		Element element = new Element(key, value);
//		getCache(cacheName).put(element);
	}
	/**
	 * 写入缓存
	 * @param expireTime 生存时效 单位：秒
	 * @param key
	 * @param value
	 */
	public static void set(String key, Object value, Long expireTime) {
		RedisUtil.set(key, value, expireTime);
//		logger.info("设置key为"+key+"的缓存："+value);
//		Element element = new Element(key, value);
//		getCache(cacheName).put(element);
	}

	/**
	 * 从缓存中移除
	 * @param cacheName
	 * @param key
	 */
	public static void remove(String cacheName, String key) {
		RedisUtil.remove(key);
//		getCache(cacheName).remove(key);
	}
	
	/**
	 * 获得一个Cache，没有则创建一个。
	 * @param cacheName
	 * @return
	 */
	/*private static Cache getCache(String cacheName){
		Cache cache = cacheManager.getCache(cacheName);
		if (cache == null){
			cacheManager.addCache(cacheName);
			cache = cacheManager.getCache(cacheName);
			cache.getCacheConfiguration().setEternal(true);
		}
		return cache;
	}

	public static CacheManager getCacheManager() {
		return cacheManager;
	}*/
	
}
